// FSR bytes for 18f (and probably other) pic chips that seem to be missing 
// in some CCS header files...check before using, this is from the 18f2520
// these are absolute addresses, not in access bank (maybe should have another
// file for that?

#byte PORTA = 0xf80
#byte PORTB = 0xf81
#byte PORTC = 0xf82
#byte PORTD = 0xf83
#byte PORTE = 0xf84

// some addresses skipped

#byte LATA =  0xf89
#byte LATB  = 0xf8a
#byte LATC =  0xf8b
#byte LATD =  0xf8c
#byte LATE =  0xf8d

// more skipped

#byte TRISA = 0xf92
#byte TRISB = 0xf93
#byte TRISC = 0xf94
#byte TRISD = 0xf95
#byte TRISE = 0xf96

// more skipped

#byte OSCTUNE = 0xf9b
//
#byte PIE1 =  0xf9d
#byte PIR1 =  0xf9e
#byte IPR1 =  0xf9f
#byte PIE2 =  0xfa0
#byte PIR2 =  0xfa1
#byte IPR2 =  0xfa2
//
#byte EECON1 = 0xfa6
#byte EECON2 = 0xfa7
#byte EEDATA = 0xfa8
#byte EEADR  = 0xfa9
//
#byte RCSTA = 0xfab
#byte TXSTA = 0xfac 
#byte TXREG = 0xfad 
#byte RCREG = 0xfae 
#byte SPBRG = 0xfaf 
#byte SPBRGH = 0xfb0 
#byte T3CON = 0xfb1 
#byte TMR3L = 0xfb2 
#byte TMR3H = 0xfb3 
#byte CMCON = 0xfb4 
#byte CVRCON = 0xfb5 
#byte ECCP1AS =  0xfb6 
#byte PWM1CON =  0xfb7
#byte BAUDCON =  0xfb8
//
#byte CCP2CON =  0xfba
#byte CCPR2L  =  0xfbb
#byte CCPR2H  =  0xfbc
#byte CCP1CON =  0xfbd
#byte CCPR1L  =  0xfbe
#byte CCPR1H  =  0xfbf

#byte ADCON2 = 0xfc0
#byte ADCON1 = 0xfc1 
#byte ADCON0 = 0xfc2 
#byte ADRESL = 0xfc3 
#byte ADRESH = 0xfc4 
#byte SSPCON2 =  0xfc5 
#byte SSPCON1 =  0xfc6 
#byte SSPSTAT =  0xfc7 
#byte SSPADD  =  0xfc8 
#byte SSPBUF  =  0xfc9 
#byte T2CON = 0xfca 
#byte PR2 =   0xfcb 
#byte TMR2 =  0xfcc 
#byte T1CON = 0xfcd 
#byte TMR1L =  0xfce
#byte TMR1H = 0xfcf
#byte RCON =  0xfd0
#byte WDTCON = 0xfd1
#byte HLVDCON  = 0xfd2
#byte OSCCON = 0xfd3
//
#byte T0CON = 0xffd5
#byte TMR0L = 0xfd6
#byte TMR0H = 0xfd7
#byte STATUS = 0xfd8
#byte FSR2L = 0xfd9
#byte FSR2H = 0xfda
#byte PLUSW2 = 0xfdb
#byte PREINC2 =  0xfdc
#byte POSTDEC2 = 0xfdd 
#byte POSTINC2 = 0xfde 
#byte INDF2 = 0xfdf

#byte BSR = 0xfe0
#byte FSR1L = 0xfe1
#byte FSR1H = 0xfe2
#byte PLUSW1 = 0xfe3
#byte PREINC1 = 0xfe4
#byte POSTDEC1 = 0xfe5
#byte POSTINC1 = 0xfe6
#byte INDF1 = 0xfe7
#byte WREG =  0xfe8 
#byte FSR0L = 0xfe9
#byte FSR0H = 0xfea
#byte PLUSW0 = 0xfeb
#byte PREINC0  = 0xfec
#byte POSTDEC0 = 0xfed
#byte INDF0 = 0xfef
#byte INTCON3 = 0xff0
#byte INTCON2 = 0xff1
#byte INTCON  = 0xff2
#byte PRODL  = 0xff3
#byte PRODH  = 0xff4
#byte TABLAT = 0xff5
#byte TBLPTRL =  0xff6
#byte TBLPTRH = 0xff7
#byte TBLPTRU = 0xff8
#byte PCL = 0xff9
#byte PCLATH = 0xffa
#byte PCLATU = 0xffb
#byte STKPTR = 0xffc
#byte TOSL =  0xffd
#byte TOSH =  0xffe
#byte TOSU =  0xfff

